Package org.springframework.cglib.core

# Class CollectionUtils

java.lang.Object
org.springframework.cglib.core.CollectionUtils

public class CollectionUtils extends Object

Author:
  Chris Nokleberg

## Method Summary

Modifier and Type
Method
Description
`static Map`
`bucket(Collection c, Transformer t)`
`static Collection`
`filter(Collection c, Predicate p)`
`static Map`
`getIndexMap(List list)`
`static void`
`reverse(Map source, Map target)`
`static List`
`transform(Collection c, Transformer t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### bucket

public static Map bucket(Collection c, Transformer t)

### reverse

public static void reverse(Map source, Map target)

### filter

public static Collection filter(Collection c, Predicate p)

### transform

public static List transform(Collection c, Transformer t)

### getIndexMap

public static Map getIndexMap(List list)